# frozen_string_literal: true

module Projects
  module Security
    class VulnerabilityReportController < Projects::ApplicationController
      include SecurityAndCompliancePermissions
      include SecurityDashboardsPermissions

      before_action do
        push_frontend_feature_flag(:custom_security_scanners, current_user)
      end

      feature_category :vulnerability_management

      alias_method :vulnerable, :project
    end
  end
end
